Bug 13221 - build failures with python3
build failures with python3
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Python
4.8.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-15 15:23 UTC by Guenther Deschner
Modified: 2018-02-12 11:48 UTC (History)
1 user (show)

See Also:


Attachments
patch from master for 4.8 (3.75 KB, patch)
2018-01-16 21:46 UTC, Guenther Deschner
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2018-01-15 15:23:56 UTC
While preparing samba 4.8.0rc1 builds for fedora rawhide, we encounter these build failures:

*** Error compiling '/home/gd/rpmbuild/BUILDROOT/samba-4.8.0-0.1.rc1.fc28.x86_64/usr/lib64/python3.6/site-packages/samba/emulate/traffic_packets.py'...
  File "/usr/lib64/python3.6/traffic_packets.py", line 87
    print "\033[37;41;1m" "Warning: %s" "\033[00m" % (message)
                        ^
SyntaxError: invalid syntax

*** Error compiling '/home/gd/rpmbuild/BUILDROOT/samba-4.8.0-0.1.rc1.fc28.x86_64/usr/lib64/python3.6/site-packages/samba/forest_update.py'...
  File "/usr/lib64/python3.6/forest_update.py", line 303
    print "UPDATE (LDIF) ------ OPERATION %d" % op
                                            ^
SyntaxError: invalid syntax

*** Error compiling '/home/gd/rpmbuild/BUILDROOT/samba-4.8.0-0.1.rc1.fc28.x86_64/usr/lib64/python3.6/site-packages/samba/tests/blackbox/traffic_summary.py'...
  File "/usr/lib64/python3.6/traffic_summary.py", line 62
    print command
                ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print(print command)?

*** Error compiling '/home/gd/rpmbuild/BUILDROOT/samba-4.8.0-0.1.rc1.fc28.x86_64/usr/lib64/python3.6/site-packages/samba/tests/samba_tool/visualize.py'...
  File "/usr/lib64/python3.6/visualize.py", line 287
    print dbfile
               ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print(print dbfile)?
Comment 1 Guenther Deschner 2018-01-16 21:46:58 UTC
Created attachment 13913 [details]
patch from master for 4.8
Comment 2 Guenther Deschner 2018-01-26 08:34:43 UTC
Karolin, please add to 4.8
Comment 3 Karolin Seeger 2018-01-31 09:52:33 UTC
Pushed to autobuild-v4-8-test.
Comment 4 Karolin Seeger 2018-02-12 11:48:16 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-8-test.
Closing out bug report.

Thanks!